<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'souscriptions';

		/* data for selected record, or defaults if none is selected */
		var data = {
			pelerin: <?php echo json_encode(array('id' => $rdata['pelerin'], 'value' => $rdata['pelerin'], 'text' => $jdata['pelerin'])); ?>,
			oumrah: <?php echo json_encode(array('id' => $rdata['oumrah'], 'value' => $rdata['oumrah'], 'text' => $jdata['oumrah'])); ?>,
			package: <?php echo json_encode(array('id' => $rdata['package'], 'value' => $rdata['package'], 'text' => $jdata['package'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for pelerin */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'pelerin' && d.id == data.pelerin.id)
				return { results: [ data.pelerin ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for oumrah */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'oumrah' && d.id == data.oumrah.id)
				return { results: [ data.oumrah ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for package */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'package' && d.id == data.package.id)
				return { results: [ data.package ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

